#include <bits/stdc++.h>
using namespace std;
long long int n,m,res;
bool flag=false;

int main(){
    cin>>n>>m;

    if(n==1 || m==1){
        cout<<max(n,m)<<endl;
        return 0;
    }
    res=2*(n+m)-4;
    for(int i=2; i<=n-1; i++)
        for(int j=2; j<=m-1; j++){
            if(flag){
                res++;
                flag=false;
            }
            else
                flag=true;
        }
    cout<<res<<endl;

    return 0;
}